Bug 169227 - xorg-x11-6.8.2-37.FC4.48.2 update causes regression in video hardware support for FireGL Mobility T2 (ATI)
xorg-x11-6.8.2-37.FC4.48.2 update causes regression in video hardware support...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-25 11:40 EDT by Oren Gross
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-17 19:44:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log file when the v42 of xorg-x11 was installed (41.42 KB, text/plain)
2005-09-27 02:45 EDT, Oren Gross
no flags Details

  None (edit)
Description Oren Gross 2005-09-25 11:40:21 EDT
Description of problem:
The xorg-x11-*-6.8.2-1.FC3.45.2 fix for Fedora Core 3 recently released does not
work for FireGL Mobility T2 (ATI). Same problem found for
xorg-x11-*-6.8.2-1.FC3.45.1 and xorg-x11-*-6.8.2-1.FC3.45 happens in
xorg-x11-*-6.8.2-1.FC3.45.2

The latest version that works is xorg-x11-*-6.8.2-1.FC3.13

Version-Release number of selected component (if applicable):
xorg-x11-*-6.8.2-1.FC3.45.2

How reproducible:
Install Fedora Core 3 on ThinkPad T42p and run yum update

Steps to Reproduce:
1.
2.
3.
  
Actual results:
see bug #168752

Expected results:


Additional info:
Comment 1 Mike A. Harris 2005-09-26 16:55:58 EDT
Please paste the results of "rpm -qa |grep xorg-x11 |sort" here for review.
Also, please attach your X server log file and config file from using
6.8.2-1.FC3.45.2, as individual uncompressed file attachments using the link
below.

Thanks in advance.

Setting status to "NEEDINFO_REPORTER"
Comment 2 Mike A. Harris 2005-09-26 17:01:16 EDT
Also, please include any relevant details directly in this bug.  We don't want
to wade through 60 comments in another bug to try to gather details of a
particular issue.  ;o)
Comment 3 Oren Gross 2005-09-27 01:42:13 EDT
# rpm -qa |grep xorg-x11 |sort
xorg-x11-6.8.2-1.FC3.45.2
xorg-x11-deprecated-libs-6.8.2-1.FC3.45.2
xorg-x11-deprecated-libs-devel-6.8.2-1.FC3.45.2
xorg-x11-devel-6.8.2-1.FC3.45.2
xorg-x11-doc-6.8.2-1.FC3.45.2
xorg-x11-font-utils-6.8.2-1.FC3.45.2
xorg-x11-libs-6.8.2-1.FC3.45.2
xorg-x11-Mesa-libGL-6.8.2-1.FC3.45.2
xorg-x11-Mesa-libGLU-6.8.2-1.FC3.45.2
xorg-x11-sdk-6.8.2-1.FC3.45.2
xorg-x11-tools-6.8.2-1.FC3.45.2
xorg-x11-twm-6.8.2-1.FC3.45.2
xorg-x11-xauth-6.8.2-1.FC3.45.2
xorg-x11-xdm-6.8.2-1.FC3.45.2
xorg-x11-xfs-6.8.2-1.FC3.45.2
xorg-x11-Xnest-6.8.2-1.FC3.45.2
xorg-x11-Xvfb-6.8.2-1.FC3.45.2

Can you direct me to which log file is it that you need?
Please note that I rolled back to v13 of xorg-x11, so I have to recreate the
problem for that...

Here is my xorg.conf in case it is of any help:

# Xorg configuration created by system-config-display

Section "ServerLayout"
	Identifier     "Multihead layout"
	Screen      0  "Screen0" LeftOf "Screen1"
	Screen      1  "Screen1" 0 0
	InputDevice    "Mouse0" "CorePointer"
	InputDevice    "Keyboard0" "CoreKeyboard"
	Option	    "Xinerama" "on"
	Option	    "Clone" "off"
EndSection

Section "Files"

# RgbPath is the location of the RGB database.  Note, this is the name of the 
# file minus the extension (like ".txt" or ".db").  There is normally
# no need to change the default.
# Multiple FontPath entries are allowed (they are concatenated together)
# By default, Red Hat 6.0 and later now use a font server independent of
# the X server to render fonts.
	RgbPath      "/usr/X11R6/lib/X11/rgb"
	FontPath     "unix/:7100"
EndSection

Section "Module"
	Load  "dbe"
	Load  "extmod"
	Load  "fbdevhw"
	Load  "glx"
	Load  "record"
	Load  "freetype"
	Load  "type1"
	Load  "dri"
EndSection

Section "InputDevice"

# Specify which keyboard LEDs can be user-controlled (eg, with xset(1))
#	Option	"Xleds"		"1 2 3"
# To disable the XKEYBOARD extension, uncomment XkbDisable.
#	Option	"XkbDisable"
# To customise the XKB settings to suit your keyboard, modify the
# lines below (which are the defaults).  For example, for a non-U.S.
# keyboard, you will probably want to use:
#	Option	"XkbModel"	"pc102"
# If you have a US Microsoft Natural keyboard, you can use:
#	Option	"XkbModel"	"microsoft"
#
# Then to change the language, change the Layout setting.
# For example, a german layout can be obtained with:
#	Option	"XkbLayout"	"de"
# or:
#	Option	"XkbLayout"	"de"
#	Option	"XkbVariant"	"nodeadkeys"
#
# If you'd like to switch the positions of your capslock and
# control keys, use:
#	Option	"XkbOptions"	"ctrl:swapcaps"
# Or if you just want both to be control, use:
#	Option	"XkbOptions"	"ctrl:nocaps"
#
	Identifier  "Keyboard0"
	Driver      "kbd"
	Option	    "XkbModel" "pc105"
	Option	    "XkbLayout" "us"
EndSection

Section "InputDevice"
	Identifier  "Mouse0"
	Driver      "mouse"
	Option	    "Protocol" "IMPS/2"
	Option	    "Device" "/dev/input/mice"
	Option	    "ZAxisMapping" "4 5"
	Option	    "Emulate3Buttons" "yes"
EndSection

Section "Monitor"
	Identifier   "Monitor0"
	VendorName   "MAG"
	ModelName    "LT 776/776D"
	HorizSync    31.0 - 80.0
	VertRefresh  60.0 - 75.0
	Option	    "dpms"
EndSection

Section "Monitor"
	Identifier   "Monitor1"
	VendorName   "Monitor Vendor"
	ModelName    "Monitor 800x600"
	HorizSync    31.5 - 35.1
	VertRefresh  50.0 - 61.0
	Option	    "dpms"
EndSection

Section "Device"
	Identifier  "Videocard0"
	Driver      "radeon"
	VendorName  "Videocard vendor"
	BoardName   "ATI FireGL Mobility T2"
EndSection

Section "Device"
	Identifier  "Videocard1"
	Driver      "radeon"
	VendorName  "Videocard Vendor"
	BoardName   "ATI FireGL Mobility T2"
	BusID       "PCI:1:0:0"
	Screen      1
EndSection

Section "Screen"
	Identifier "Screen0"
	Device     "Videocard0"
	Monitor    "Monitor0"
	DefaultDepth     24
	SubSection "Display"
		Viewport   0 0
		Depth     16
		Modes    "800x600" "640x480"
	EndSubSection
	SubSection "Display"
		Viewport   0 0
		Depth     24
		Modes    "1280x1024" "1280x960" "1152x864" "1024x768" "800x600" "640x480"
	EndSubSection
EndSection

Section "Screen"
	Identifier "Screen1"
	Device     "Videocard1"
	Monitor    "Monitor1"
	DefaultDepth     24
	SubSection "Display"
		Viewport   0 0
		Depth     24
		Modes    "640x480"
	EndSubSection
EndSection

Section "DRI"
	Group        0
	Mode         0666
EndSection



I am using IBM ThinkPad T42p

Regards
Comment 4 Mike A. Harris 2005-09-27 02:12:05 EDT
(In reply to comment #1)
> Please paste the results of "rpm -qa |grep xorg-x11 |sort" here for review.
> Also, please attach your X server log file and config file from using
               ^^^^^^      ^^^^^^^^^^^^^^^^^
> 6.8.2-1.FC3.45.2, as individual uncompressed file attachments using the link
                       ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
> below.
  ^^^^^


Please use bugzilla file attach for large files, so that bug reports remain
readable.  Also, please attach all requested items.

TIA.
Comment 5 Mike A. Harris 2005-09-27 02:13:58 EDT
Log files are always in /var/log.  Hope this helps.

Comment 6 Oren Gross 2005-09-27 02:45:07 EDT
Created attachment 119290 [details]
Xorg log file when the v42 of xorg-x11 was installed
Comment 7 Mike A. Harris 2006-01-17 19:44:01 EST
Fedora Core 3 has been transferred to the Fedora Legacy project, and is
no longer maintained by Red Hat directly.

Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "CURRENTRELEASE".

Note You need to log in before you can comment on or make changes to this bug.